Bug 496495 - configtest does not catch un-defined ACLs
configtest does not catch un-defined ACLs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Tkac
BaseOS QE
:
Depends On:
Blocks: 509373
  Show dependency treegraph
 
Reported: 2009-04-19 12:54 EDT by Brad Smith
Modified: 2013-04-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 509373 (view as bug list)
Environment:
Last Closed: 2009-09-02 03:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2009-04-19 12:54:39 EDT
Description of problem:
The 'configtest' option of the bind initscript does not complain if named.conf uses an un-defined ACL, despite the fact that this prevents the nameserver from starting. 

Version-Release number of selected component (if applicable):
bind-9.3.4-10.P1.el5

How reproducible:
Always

Steps to Reproduce:
1. Add to named.conf a reference to a non-existent ACl, eg, "allow-query {foo;};"
2. Run "service named configtest". No error should be reported.
3. Run "service named restart". Startup should fail with something like the following in /var/log/messages: "/etc/named.conf:29: undefined ACL 'foo'"
  
Actual results:
No error reported by configtest

Expected results:
Error reported by configtest
Comment 5 errata-xmlrpc 2009-09-02 03:38:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1420.html

Note You need to log in before you can comment on or make changes to this bug.